VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::restore::Job Interface Reference

`Job` interface provides methods Performs restore operations More...

Inherited by vmware::appliance::recovery::restore::JobStub.

List of all members.

## Public Member Functions
vmware.appliance.recovery.restore.JobTypes.ReturnResult | Cancel ()
| Cancel the backup job.
vmware.appliance.recovery.restore.JobTypes.ReturnResult | Cancel (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.ReturnResult > | CancelAsync ()
| Cancel the backup job.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.ReturnResult > | CancelAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Cancel the backup job.
vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus | Create (vmware.appliance.recovery.restore.JobTypes.RestoreRequest piece)
| Initiate restore.
vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus | Create (vmware.appliance.recovery.restore.JobTypes.RestoreRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate restore.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus > | CreateAsync (vmware.appliance.recovery.restore.JobTypes.RestoreRequest piece)
| Initiate restore.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus > | CreateAsync (vmware.appliance.recovery.restore.JobTypes.RestoreRequest piece, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Initiate restore.
vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus | Get ()
| See restore job progress/result.
vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See restore job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus > | GetAsync ()
| See restore job progress/result.
global::System.Threading.Tasks.Task < vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| See restore job progress/result.

## Detailed Description

`Job` interface provides methods Performs restore operations

## Member Function Documentation

vmware.appliance.recovery.restore.JobTypes.ReturnResult vmware::appliance::recovery::restore::Job::Cancel | ( |  | ) |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

vmware.appliance.recovery.restore.JobTypes.ReturnResult vmware::appliance::recovery::restore::Job::Cancel | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.ReturnResult> vmware::appliance::recovery::restore::Job::CancelAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.ReturnResult> vmware::appliance::recovery::restore::Job::CancelAsync | ( |  | ) |

Cancel the backup job.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus vmware::appliance::recovery::restore::Job::Create | ( | vmware.appliance.recovery.restore.JobTypes.RestoreRequest | piece | ) |

Initiate restore.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.NotAllowedInCurrentState | Restore is allowed only after deployment and before firstboot
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus vmware::appliance::recovery::restore::Job::Create | ( | vmware.appliance.recovery.restore.JobTypes.RestoreRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Initiate restore.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.NotAllowedInCurrentState | Restore is allowed only after deployment and before firstboot
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus> vmware::appliance::recovery::restore::Job::CreateAsync | ( | vmware.appliance.recovery.restore.JobTypes.RestoreRequest | piece,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Initiate restore.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.NotAllowedInCurrentState | Restore is allowed only after deployment and before firstboot
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus> vmware::appliance::recovery::restore::Job::CreateAsync | ( | vmware.appliance.recovery.restore.JobTypes.RestoreRequest | piece | ) |

Initiate restore.

Exceptions:

  vmware.vapi.std.errors.FeatureInUse | A backup or restore is already in progress
  vmware.vapi.std.errors.NotAllowedInCurrentState | Restore is allowed only after deployment and before firstboot
  vmware.vapi.std.errors.Error | Generic error

Parameters:

  piece | RestoreRequest Structure

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus vmware::appliance::recovery::restore::Job::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

See restore job progress/result.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus vmware::appliance::recovery::restore::Job::Get | ( |  | ) |

See restore job progress/result.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus> vmware::appliance::recovery::restore::Job::GetAsync | ( |  | ) |

See restore job progress/result.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

global::System.Threading.Tasks.Task<vmware.appliance.recovery.restore.JobTypes.RestoreJobStatus> vmware::appliance::recovery::restore::Job::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

See restore job progress/result.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  RestoreJobStatus Structure

Implemented in vmware::appliance::recovery::restore::JobStub.

The documentation for this interface was generated from the following file:

- restore/Job.cs